---
title: "Get smart fields from template"
url: "https://docs.signnow.com/docs/smart-fields/operations/get-smart-fields-from-template-id-integration-objects"
type: "endpoint"
section: "smart-fields"
slug: "smart-fields/operations/get-smart-fields-from-template-id-integration-objects"
method: "GET"
path: "/document/{template_id}/integration_objects"
operation_id: "get-smart-fields-from-template-id-integration-objects"
authorization: "bearer"
---

# Get smart fields from template

`GET /document/{template_id}/integration_objects`

This endpoint allows API users to retrieve the smart fields of a template. 

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `template_id` | string | Yes | ID of the template |

## Responses

### 200

Successful response.

**Example** (`Successful response`)

```json
{
  "integration_objects": [
    {
      "x": "217",
      "y": "32",
      "id": "6771388c18c2da944f36c4378659bad2faa3e89b",
      "data": "Some Data",
      "font": "Arial",
      "size": "12",
      "email": "user@email.com",
      "created": "1553867317",
      "user_id": "80263e5d4429fa85ecda202c07740280dc3a0cfd",
      "document_id": "90a2c0e942c399c6e123007300b51c7365d720ea",
      "line_height": "0.00",
      "page_number": 0,
      "json_attributes": {
        "bold": true,
        "color": "FFFAF0",
        "italic": false,
        "underline": false
      },
      "api_integration_id": "b977e0c6e33ddb6fb6b875cb7618c71b53a442e7"
    }
  ]
}
```

### 400

* Wrong, expired, or missing token.
* The document doesn't exist.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Document not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "Document not found"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/document/{template_id}/integration_objects" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/smart-fields/operations/get-smart-fields-from-template-id-integration-objects*
